Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.endpoint
Class DefaultEndpointStrategy

    java.lang.Object
      com.eviware.soapui.impl.wsdl.endpoint.DefaultEndpointStrategy

All Implemented Interfaces:
  RequestFilter, EndpointStrategy

    public class DefaultEndpointStrategy

extends java.lang.Object
implements EndpointStrategy

Nested Class Summary
`class` | `DefaultEndpointStrategy.EndpointDefaults`

Constructor Summary
`DefaultEndpointStrategy()`

Method Summary
`protected void` | `applyDefaultsToRequest(SubmitContext context, WsdlRequest wsdlRequest, DefaultEndpointStrategy.EndpointDefaults def)`
`void` | `configure(Interface iface)`
`void` | `filterRequest(SubmitContext context, WsdlRequest wsdlRequest)`
`DefaultEndpointStrategy.EndpointDefaults` | `getEndpointDefaults(java.lang.String endpoint)`
`void` | `importEndpoints(Interface iface)`
`void` | `init(Project project)`
`void` | `onSave()`
`void` | `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEndpointStrategy

    public DefaultEndpointStrategy()

Method Detail

### configure

    public void configure(Interface iface)

  Specified by:
    `configure` in interface `EndpointStrategy`

### init

    public void init(Project project)

  Specified by:
    `init` in interface `EndpointStrategy`

### filterRequest

    public void filterRequest(SubmitContext context,
                              WsdlRequest wsdlRequest)

  Specified by:
    `filterRequest` in interface `RequestFilter`

### applyDefaultsToRequest

    protected void applyDefaultsToRequest(SubmitContext context,
                                          WsdlRequest wsdlRequest,
                                          DefaultEndpointStrategy.EndpointDefaults def)

### release

    public void release()

  Specified by:
    `release` in interface `EndpointStrategy`

### getEndpointDefaults

    public DefaultEndpointStrategy.EndpointDefaults getEndpointDefaults(java.lang.String endpoint)

### onSave

    public void onSave()

  Specified by:
    `onSave` in interface `EndpointStrategy`

### importEndpoints

    public void importEndpoints(Interface iface)

  Specified by:
    `importEndpoints` in interface `EndpointStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.